org.codehaus.plexus.metadata.merge

## Interface MergeStrategy

    public interface MergeStrategy

Version:
  $Id: MergeStrategy.java 7689 2008-08-23 16:09:20Z jvanzyl $
Author:
  Rahul Thakur

### Method Summary

Methods
`void` `apply(Mergeable dElt, Mergeable rElt)` Merges a dominant `Mergeable` instance with a recessive one.

### Method Detail

#### apply

    void apply(Mergeable dElt,
             Mergeable rElt)
               throws MergeException

Merges a dominant `Mergeable` instance with a recessive one.

Parameters:
  `dElt` - Dominant `Mergeable` instance.
  `rElt` - Recessive `Mergeable` instance.
Throws:
  `MergeException` - TODO